Table of Contents

## Name

BlackPixelOfScreen, WhitePixelOfScreen, CellsOfScreen, DefaultColormapOfScreen, DefaultDepthOfScreen, DefaultGCOfScreen, DefaultVisualOfScreen, DoesBackingStore, DoesSaveUnders, DisplayOfScreen, XScreenNumberOfScreen, EventMaskOfScreen, HeightOfScreen, HeightMMOfScreen, MaxCmapsOfScreen, MinCmapsOfScreen, PlanesOfScreen, RootWindowOfScreen, WidthOfScreen, WidthMMOfScreen - screen information functions and macros

## Syntax

unsigned long BlackPixelOfScreen(Screen *screen);
unsigned long WhitePixelOfScreen(Screen *screen);
int CellsOfScreen(Screen *screen);
Colormap DefaultColormapOfScreen(Screen *screen);
int DefaultDepthOfScreen(Screen *screen);
GC DefaultGCOfScreen(Screen *screen);
Visual *DefaultVisualOfScreen(Screen *screen);
int DoesBackingStore(Screen *screen);
Bool DoesSaveUnders(Screen *screen);
Display *DisplayOfScreen(Screen *screen);
int XScreenNumberOfScreen(Screen *screen);
long EventMaskOfScreen(Screen *screen);
int HeightOfScreen(Screen *screen);
int HeightMMOfScreen(Screen *screen);
int MaxCmapsOfScreen(Screen *screen);
int MinCmapsOfScreen(Screen *screen);
int PlanesOfScreen(Screen *screen);
Window RootWindowOfScreen(Screen *screen);
int WidthOfScreen(Screen *screen);
int WidthMMOfScreen(Screen *screen);

## Arguments

screen
  Specifies the appropriate Screen structure.

## Description

The BlackPixelOfScreen macro returns the black pixel value of the specified screen.

The WhitePixelOfScreen macro returns the white pixel value of the specified screen.

The CellsOfScreen macro returns the number of colormap cells in the default colormap of the specified screen.

The DefaultColormapOfScreen macro returns the default colormap of the specified screen.

The DefaultDepthOfScreen macro returns the default depth of the root window of the specified screen.

The DefaultGCOfScreen macro returns the default GC of the specified screen, which has the same depth as the root window of the screen.

The DefaultVisualOfScreen macro returns the default visual of the specified screen.

The DoesBackingStore macro returns WhenMapped, NotUseful, or Always, which indicate whether the screen supports backing stores.

The DoesSaveUnders macro returns a Boolean value indicating whether the screen supports save unders.

The DisplayOfScreen macro returns the display of the specified screen.

The XScreenNumberOfScreen function returns the screen index number of the specified screen.

The EventMaskOfScreen macro returns the root event mask of the root window for the specified screen at connection setup.

The HeightOfScreen macro returns the height of the specified screen.

The HeightMMOfScreen macro returns the height of the specified screen in millimeters.

The MaxCmapsOfScreen macro returns the maximum number of installed colormaps supported by the specified screen.

The MinCmapsOfScreen macro returns the minimum number of installed colormaps supported by the specified screen.

The PlanesOfScreen macro returns the number of planes in the root window of the specified screen.

The RootWindowOfScreen macro returns the root window of the specified screen.

The WidthOfScreen macro returns the width of the specified screen.

The WidthMMOfScreen macro returns the width of the specified screen in millimeters.

## See Also

AllPlanes(3X11) , ImageByteOrder(3X11) , IsCursorKey(3X11)
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also